Package com.smartgwt.client.types

# Enum ConnectorOrientation

java.lang.Object
java.lang.Enum<ConnectorOrientation>
com.smartgwt.client.types.ConnectorOrientation

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ConnectorOrientation>`, `Constable`

public enum ConnectorOrientation extends Enum<ConnectorOrientation> implements ValueEnum
Supported styles of connector orientations.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  Tail segments flip orientation according to longer axis of bounding box: if the bounding box is wider than it is tall, center segment is vertical
  `HORIZONTAL`
  Tail segments are always horizontal; best for left-to-right connectors
  `VERTICAL`
  Tail segments are always vertical; best for top-to-bottom connectors

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ConnectorOrientation`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ConnectorOrientation[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HORIZONTAL

    public static final ConnectorOrientation HORIZONTAL
    Tail segments are always horizontal; best for left-to-right connectors

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontal".

  - ### VERTICAL

    public static final ConnectorOrientation VERTICAL
    Tail segments are always vertical; best for top-to-bottom connectors

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "vertical".

  - ### AUTO

    public static final ConnectorOrientation AUTO
    Tail segments flip orientation according to longer axis of bounding box: if the bounding box is wider than it is tall, center segment is vertical

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

- ## Method Details

  - ### values

    public static ConnectorOrientation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ConnectorOrientation valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`